com.sun.jna.platform.win32

## Class WinBase.FILE_COMPRESSION_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.FILE_COMPRESSION_INFO

Direct Known Subclasses:
  WinBase.FILE_COMPRESSION_INFO.ByReference

Enclosing interface:
  WinBase

    @Structure.FieldOrder(value={"CompressedFileSize","CompressionFormat","CompressionUnitShift","ChunkShift","ClusterShift","Reserved"})
    public static class WinBase.FILE_COMPRESSION_INFO
    extends Structure

Receives extended information for the file. Used for file handles. Use only when calling GetFileInformationByHandleEx.

### Nested Class Summary

Nested Classes
`static class` `WinBase.FILE_COMPRESSION_INFO.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte` `ChunkShift` The number of chunks that are shifted by compression.
`byte` `ClusterShift` The number of clusters that are shifted by compression.
`WinNT.LARGE_INTEGER` `CompressedFileSize` The file size of the compressed file.
`short` `CompressionFormat` The compression format that is used to compress the file.
`byte` `CompressionUnitShift` The factor that the compression uses.
`byte[]` `Reserved` Reserved

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`FILE_COMPRESSION_INFO()`
`FILE_COMPRESSION_INFO(Pointer memory)`
`FILE_COMPRESSION_INFO(WinNT.LARGE_INTEGER CompressedFileSize, short CompressionFormat, byte CompressionUnitShift, byte ChunkShift, byte ClusterShift)`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `sizeOf()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CompressedFileSize

    public WinNT.LARGE_INTEGER CompressedFileSize

The file size of the compressed file.

#### CompressionFormat

    public short CompressionFormat

The compression format that is used to compress the file.

#### CompressionUnitShift

    public byte CompressionUnitShift

The factor that the compression uses.

#### ChunkShift

    public byte ChunkShift

The number of chunks that are shifted by compression.

#### ClusterShift

    public byte ClusterShift

The number of clusters that are shifted by compression.

#### Reserved

    public byte[] Reserved

Reserved

### Constructor Detail

#### FILE_COMPRESSION_INFO

    public FILE_COMPRESSION_INFO()

#### FILE_COMPRESSION_INFO

    public FILE_COMPRESSION_INFO(Pointer memory)

#### FILE_COMPRESSION_INFO

    public FILE_COMPRESSION_INFO(WinNT.LARGE_INTEGER CompressedFileSize,
                                 short CompressionFormat,
                                 byte CompressionUnitShift,
                                 byte ChunkShift,
                                 byte ClusterShift)

### Method Detail

#### sizeOf

    public static int sizeOf()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.